I'd switch to Java 1.6 instead of 1.7  as first solution. 

On Wed, Apr 11, 2012 at 12:36 AM, Stephen Davidson <steverdavidson@gmail.com> wrote:
Hi All:

I have downloaded Geronimo 3.01 beta  and DayTrader 3.0-beta.  I am using
java 1.7.0_03-b05.

Out of the box, so to speak, I am able to run 'mvn clean install', then
deploy the application using the deploy command given in the README for
daytrader.
Then I create a datasource via the geronimo console for the derby database
and - having already created and populated the database, I am good to go.

Now I want to use oracle.  I have been trying different things over the last
two days and find myself no closer.

Could someone take pity on me and suggest a set of steps that I should be
able to follow in order to switch from using derby to oracle?  Does the
daytrader applciation work with oracle 11g?  I was able to get to the point
of testing a datasource for oracle thin, and it seemed to connect correctly
to my database, but then when I tried to deploy it, nothing.  I think at
that point I saw a classnotfound error in the log for
oracle.jdbc.oracledriver.

If someone can provide a set of steps, I could work through them and try to
determine whether there are actual problems, or if it is just me, and maybe
I could contribute back some useful information.

Thanks,
S

--
View this message in context: http://apache-geronimo.328035.n3.nabble.com/changing-datasource-for-daytrader-to-oracle-tp3901510p3901510.html
Sent from the Users mailing list archive at Nabble.com.